#ifndef PROTOTYPE1_SRC_L1_ANNE_UTIL_TEMP_GEOM_H
#define PROTOTYPE1_SRC_L1_ANNE_UTIL_TEMP_GEOM_H

#include "../codegen/util_template_inst.h"

void generate_util_temp_geom_headers() {
    SpanU8 T[] = {cstr("cvec3"), cstr("cvec4"), cstr("vec2"), cstr("vec3"), cstr("vec4")};
    for (size_t i = 0; i < ARRAY_SIZE(T); i++) {
        generate_guarded_span_company_for_primitive(cstr("l1"), cstr(""), T[i],
        cstr("#include \"geom.h\"\n"), true, true);
    }
}

#endif